# frozen_string_literal: true

require "active_record"

module MigrationTimeouts
end

Dir[File.join(File.dirname(__FILE__), "migration_timeouts", "*.rb")].each { |file| require file }

::ActiveRecord::Migration.prepend(MigrationTimeouts::TimeoutManager)
::ActiveRecord::Migration.extend(MigrationTimeouts::MigrationExtensions)
