# frozen_string_literal: true

module MigrationTimeouts
  class << self
    def configure
      yield config
    end

    def config
      @config ||= Configurator.new
    end
  end

  class Configurator
    attr_accessor :default_lock_timeout, :default_statement_timeout
  end
end
